Account
Get user sessions
Lists the current User's own active sessions, both browser cookie sessions and personal API tokens, each with its login method,
browser, IP address resolved to country, region and city, and last active time.
The type argument selects which kind to return and defaults to all; UNKNOWN is rejected.
GET
/api/sys/v{version:apiVersion}/account/get_user_sessions
- Authorisation
- Minimum role: USER
Request arguments
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_user_session[]
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_user_session
| Name | Type | ReadOnly | Description |
| id | String | | Id |
| auth_idp | ENUM auth_idp | | Auth idp |
| session_type | ENUM user_session_type | | Session type |
| user_agent | String | | User agent |
| browser | String | | Browser |
| ip_address | String | | Ip address |
| ip_country | String | | Ip country |
| ip_country_info | DTO_country | | Ip country info |
| ip_region | String | | Ip region |
| ip_city | String | | Ip city |
| label | String | | Label |
| created | DateTime | | Created |
| last_active | DateTime | | Last active |
DTO_country
| Name | Type | ReadOnly | Description |
| id | Int32 | | Id |
| name | String | | Name |
| code2 | String | | Code2 |
| code3 | String | | Code3 |
| timezone | String | | Timezone |
| dialcode | Int32 | | Dialcode |
| is_eu_country | Boolean | | Is eu country |
| currency_codes | String[] | | Currency codes |
ENUM auth_idp
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | COGNITO_INTERNAL | COGNITO_INTERNAL |
| 2 | GOOGLE | GOOGLE |
| 3 | FACEBOOK | FACEBOOK |
| 4 | EXTERNAL_AD | EXTERNAL_AD |
| 5 | MICROSOFT | MICROSOFT |
ENUM user_session_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | COOKIE | COOKIE |
| 2 | JWT_TOKEN | JWT_TOKEN |
| -1 | ALL | ALL |
Generated Aug 4, 2026 18:37